package cn.dg32z.lon.checks.impl.player.timer;

import cn.dg32z.lon.checks.Check;
import cn.dg32z.lon.checks.CheckData;
import cn.dg32z.lon.checks.type.PacketCheck;
import cn.dg32z.lon.player.PlayerData;
import cn.dg32z.lon.utils.evicting.EvictingList;
import java.security.MessageDigest;
import javax.crypto.Cipher;
import javax.crypto.SecretKeyFactory;
import javax.crypto.spec.DESKeySpec;
import javax.crypto.spec.IvParameterSpec;

@CheckData(name = "TimerD (AVG)", configName = "TimerD", experimental = true, decay = 0.85d)
/* loaded from: cn_dg32z_lon_checks_impl_player_timer.jar:cn/dg32z/lon/checks/impl/player/timer/TimerD.class */
public final class TimerD extends Check implements PacketCheck {
    private double currentThreshold;
    private long lastFlagTime;
    private double bufferThreshold;
    private double strictSpeedThreshold;
    private int sampleSize;
    private double normalSpeedThreshold;
    private final EvictingList samples;
    static Object a;

    /* JADX WARN: Multi-variable type inference failed */
    static {
        int i;
        byte[] bytes = "£$\u009a/-ÐÛ¡-³\u0095\u00884\u001a¬\u0098/\u000f\u0093P«~un2~\u000b\u009fkÒo\u0011ª±ÿ\u001e��K\u0085uÍ±O\u009ahbõ³Wõ\u0083Lº\u0083@\u0087J\n·ÖâzOÃgÅ©ÙÁ\u0093\u008b¬\u0018#Üü\bÉ¦\u008b".getBytes("ISO_8859_1");
        byte[] bytes2 = "£/Þ°\\[\t\u009d".getBytes("ISO_8859_1");
        int i2 = 0;
        int length = bytes.length;
        do {
            switch (bytes[i2] & 255) {
                case false:
                    i = 892322232;
                    break;
                case true:
                    i = -1137464414;
                    break;
                case true:
                    i = -13205155;
                    break;
                case true:
                    i = -647503794;
                    break;
                case true:
                    i = 890896505;
                    break;
                case true:
                    i = -578037681;
                    break;
                case true:
                    i = -1296549706;
                    break;
                case true:
                    i = 533574789;
                    break;
                case true:
                    i = 577794178;
                    break;
                case true:
                    i = 1416430630;
                    break;
                case true:
                    i = -574915477;
                    break;
                case true:
                    i = -1905680849;
                    break;
                case true:
                    i = 78432682;
                    break;
                case true:
                    i = -1159994382;
                    break;
                case true:
                    i = -1186076670;
                    break;
                case true:
                    i = 1321616343;
                    break;
                case true:
                    i = -1429378682;
                    break;
                case true:
                    i = 1092046459;
                    break;
                case true:
                    i = -1273857417;
                    break;
                case true:
                    i = 1305935802;
                    break;
                case true:
                    i = -1371796204;
                    break;
                case true:
                    i = 777202711;
                    break;
                case true:
                    i = 1161008137;
                    break;
                case true:
                    i = 1060360231;
                    break;
                case true:
                    i = -680521248;
                    break;
                case true:
                    i = 1359158204;
                    break;
                case true:
                    i = -1589424099;
                    break;
                case true:
                    i = -1748131593;
                    break;
                case true:
                    i = -1260082478;
                    break;
                case true:
                    i = 2064161191;
                    break;
                case true:
                    i = 1389144607;
                    break;
                case true:
                    i = -467778079;
                    break;
                case true:
                    i = 900504772;
                    break;
                case true:
                    i = -1324302005;
                    break;
                case true:
                    i = -309646547;
                    break;
                case true:
                    i = -1876301764;
                    break;
                case true:
                    i = -344832698;
                    break;
                case true:
                    i = 246006718;
                    break;
                case true:
                    i = -1603926121;
                    break;
                case true:
                    i = -1797408928;
                    break;
                case true:
                    i = 88871219;
                    break;
                case true:
                    i = -1168589781;
                    break;
                case true:
                    i = 1520889517;
                    break;
                case true:
                    i = -793643496;
                    break;
                case true:
                    i = 985312827;
                    break;
                case true:
                    i = -1837328106;
                    break;
                case true:
                    i = 196344165;
                    break;
                case true:
                    i = -952899659;
                    break;
                case true:
                    i = 1839698171;
                    break;
                case true:
                    i = 1968379621;
                    break;
                case true:
                    i = 1830250002;
                    break;
                case true:
                    i = 1853760118;
                    break;
                case true:
                    i = 1217370260;
                    break;
                case true:
                    i = 1749096712;
                    break;
                case true:
                    i = -334027940;
                    break;
                case true:
                    i = -924040239;
                    break;
                case true:
                    i = 611252442;
                    break;
                case true:
                    i = 751823287;
                    break;
                case true:
                    i = 97078611;
                    break;
                case true:
                    i = -1497297145;
                    break;
                case true:
                    i = -37707771;
                    break;
                case true:
                    i = -1998253685;
                    break;
                case true:
                    i = -1917705232;
                    break;
                case true:
                    i = -851148438;
                    break;
                case true:
                    i = -1305161070;
                    break;
                case true:
                    i = 869458993;
                    break;
                case true:
                    i = 1724586567;
                    break;
                case true:
                    i = 1230064837;
                    break;
                case true:
                    i = 2129109987;
                    break;
                case true:
                    i = -952372266;
                    break;
                case true:
                    i = -1466299759;
                    break;
                case true:
                    i = 681561071;
                    break;
                case true:
                    i = 706318507;
                    break;
                case true:
                    i = -1851527608;
                    break;
                case true:
                    i = -1459968336;
                    break;
                case true:
                    i = -1583972449;
                    break;
                case true:
                    i = 687432745;
                    break;
                case true:
                    i = -852705840;
                    break;
                case true:
                    i = 246132388;
                    break;
                case true:
                    i = -1555664463;
                    break;
                case true:
                    i = -1154475206;
                    break;
                case true:
                    i = -1616457879;
                    break;
                case true:
                    i = -1143693637;
                    break;
                case true:
                    i = 1354510235;
                    break;
                case true:
                    i = -2016116223;
                    break;
                case true:
                    i = -972560178;
                    break;
                case true:
                    i = -774915030;
                    break;
                case true:
                    i = 1647589379;
                    break;
                case true:
                    i = -76172376;
                    break;
                case true:
                    i = -993268386;
                    break;
                case true:
                    i = 1137689972;
                    break;
                case true:
                    i = 1179388569;
                    break;
                case true:
                    i = 172540002;
                    break;
                case true:
                    i = -1929940004;
                    break;
                case true:
                    i = -742938354;
                    break;
                case true:
                    i = 53947370;
                    break;
                case true:
                    i = 762780745;
                    break;
                case true:
                    i = 1655446387;
                    break;
                case true:
                    i = 250480538;
                    break;
                case true:
                    i = -963522535;
                    break;
                case true:
                    i = 1817222229;
                    break;
                case true:
                    i = 1656419250;
                    break;
                case true:
                    i = 123561880;
                    break;
                case true:
                    i = 803278164;
                    break;
                case true:
                    i = 184360583;
                    break;
                case true:
                    i = -1197379224;
                    break;
                case true:
                    i = 1651333668;
                    break;
                case true:
                    i = 946518050;
                    break;
                case true:
                    i = 1836528163;
                    break;
                case true:
                    i = -1574848314;
                    break;
                case true:
                    i = -1412434143;
                    break;
                case true:
                    i = 420301512;
                    break;
                case true:
                    i = -799387528;
                    break;
                case true:
                    i = -110150123;
                    break;
                case true:
                    i = 398619839;
                    break;
                case true:
                    i = 1180859903;
                    break;
                case true:
                    i = 1856272269;
                    break;
                case true:
                    i = -1493891965;
                    break;
                case true:
                    i = 1863760688;
                    break;
                case true:
                    i = 50167922;
                    break;
                case true:
                    i = 1563704603;
                    break;
                case true:
                    i = 273350377;
                    break;
                case true:
                    i = 1514620982;
                    break;
                case true:
                    i = -1186995660;
                    break;
                case true:
                    i = -3556592;
                    break;
                case true:
                    i = 524569826;
                    break;
                case true:
                    i = -1221220820;
                    break;
                case true:
                    i = 1213111756;
                    break;
                case true:
                    i = 1088539482;
                    break;
                case true:
                    i = -1705480897;
                    break;
                case true:
                    i = -632856584;
                    break;
                case true:
                    i = 1415765734;
                    break;
                case true:
                    i = 992511126;
                    break;
                case true:
                    i = 1262849999;
                    break;
                case true:
                    i = 1184642414;
                    break;
                case true:
                    i = 4751827;
                    break;
                case true:
                    i = 1907949472;
                    break;
                case true:
                    i = 1776983875;
                    break;
                case true:
                    i = 1968436492;
                    break;
                case true:
                    i = -426359727;
                    break;
                case true:
                    i = 153989729;
                    break;
                case true:
                    i = 1144765312;
                    break;
                case true:
                    i = 277428602;
                    break;
                case true:
                    i = -1018545321;
                    break;
                case true:
                    i = 1072040385;
                    break;
                case true:
                    i = -2128859574;
                    break;
                case true:
                    i = -1492521457;
                    break;
                case true:
                    i = -1271461725;
                    break;
                case true:
                    i = 219870676;
                    break;
                case true:
                    i = 1058348412;
                    break;
                case true:
                    i = 1496151037;
                    break;
                case true:
                    i = -564866969;
                    break;
                case true:
                    i = -844782783;
                    break;
                case true:
                    i = -779061424;
                    break;
                case true:
                    i = -1867277738;
                    break;
                case true:
                    i = 1507003458;
                    break;
                case true:
                    i = 133731494;
                    break;
                case true:
                    i = -474747854;
                    break;
                case true:
                    i = 748092222;
                    break;
                case true:
                    i = -1527344356;
                    break;
                case true:
                    i = -134430474;
                    break;
                case true:
                    i = 930080522;
                    break;
                case true:
                    i = 158352185;
                    break;
                case true:
                    i = 1218545278;
                    break;
                case true:
                    i = -192313662;
                    break;
                case true:
                    i = 1041423004;
                    break;
                case true:
                    i = -827359016;
                    break;
                case true:
                    i = 1998130284;
                    break;
                case true:
                    i = 608668173;
                    break;
                case true:
                    i = 368137222;
                    break;
                case true:
                    i = -204761999;
                    break;
                case true:
                    i = 142011321;
                    break;
                case true:
                    i = -63188224;
                    break;
                case true:
                    i = -2101889375;
                    break;
                case true:
                    i = 97996072;
                    break;
                case true:
                    i = 2121496302;
                    break;
                case true:
                    i = -667307720;
                    break;
                case true:
                    i = -1274908676;
                    break;
                case true:
                    i = 149866926;
                    break;
                case true:
                    i = 2098622858;
                    break;
                case true:
                    i = -1437642432;
                    break;
                case true:
                    i = -601479459;
                    break;
                case true:
                    i = 149366861;
                    break;
                case true:
                    i = 497271142;
                    break;
                case true:
                    i = 1529481102;
                    break;
                case true:
                    i = -136234261;
                    break;
                case true:
                    i = 1691726724;
                    break;
                case true:
                    i = -2029838019;
                    break;
                case true:
                    i = 1873585496;
                    break;
                case true:
                    i = -1153144786;
                    break;
                case true:
                    i = 1755511281;
                    break;
                case true:
                    i = -1993330891;
                    break;
                case true:
                    i = -524061721;
                    break;
                case true:
                    i = 1756929005;
                    break;
                case true:
                    i = 1647413640;
                    break;
                case true:
                    i = 2050128275;
                    break;
                case true:
                    i = -1624858935;
                    break;
                case true:
                    i = -1327224999;
                    break;
                case true:
                    i = -2081994829;
                    break;
                case true:
                    i = 150174421;
                    break;
                case true:
                    i = -428528134;
                    break;
                case true:
                    i = 1838281868;
                    break;
                case true:
                    i = -1075606929;
                    break;
                case true:
                    i = 256022116;
                    break;
                case true:
                    i = -2027956463;
                    break;
                case true:
                    i = -1428070256;
                    break;
                case true:
                    i = -182747160;
                    break;
                case true:
                    i = -290091677;
                    break;
                case true:
                    i = 2117880495;
                    break;
                case true:
                    i = -1725050259;
                    break;
                case true:
                    i = -1657178887;
                    break;
                case true:
                    i = -1508508811;
                    break;
                case true:
                    i = 852406610;
                    break;
                case true:
                    i = -1953933805;
                    break;
                case true:
                    i = -290253399;
                    break;
                case true:
                    i = 1693634493;
                    break;
                case true:
                    i = 983605228;
                    break;
                case true:
                    i = 1922410695;
                    break;
                case true:
                    i = -1789542345;
                    break;
                case true:
                    i = -352919589;
                    break;
                case true:
                    i = -1432774140;
                    break;
                case true:
                    i = 1983616893;
                    break;
                case true:
                    i = -1412995136;
                    break;
                case true:
                    i = -686557313;
                    break;
                case true:
                    i = 1358884638;
                    break;
                case true:
                    i = -1837589435;
                    break;
                case true:
                    i = 627948020;
                    break;
                case true:
                    i = 832835039;
                    break;
                case true:
                    i = 1078304478;
                    break;
                case true:
                    i = -663285623;
                    break;
                case true:
                    i = -250315275;
                    break;
                case true:
                    i = -627541867;
                    break;
                case true:
                    i = 1350198596;
                    break;
                case true:
                    i = 497378315;
                    break;
                case true:
                    i = -1798873428;
                    break;
                case true:
                    i = 602494410;
                    break;
                case true:
                    i = -1863232307;
                    break;
                case true:
                    i = 717566757;
                    break;
                case true:
                    i = 434278654;
                    break;
                case true:
                    i = 787839156;
                    break;
                case true:
                    i = 2100258842;
                    break;
                case true:
                    i = -1657589595;
                    break;
                case true:
                    i = -928968357;
                    break;
                case true:
                    i = -1280995682;
                    break;
                case true:
                    i = 1813385823;
                    break;
                case true:
                    i = -1590351796;
                    break;
                case true:
                    i = 1403414384;
                    break;
                case true:
                    i = -1607771420;
                    break;
                case true:
                    i = 2021766543;
                    break;
                case true:
                    i = -181687357;
                    break;
                case true:
                    i = -915595232;
                    break;
                case true:
                    i = -1704974887;
                    break;
                case true:
                    i = -1140231477;
                    break;
                case true:
                    i = -2024204557;
                    break;
                case true:
                    i = 2053275777;
                    break;
                case true:
                    i = 1448334493;
                    break;
                default:
                    i = 1621086927;
                    break;
            }
            int i3 = i2;
            i2++;
            bytes[i3] = (byte) i;
        } while (i2 != length);
        Cipher cipher = Cipher.getInstance("DES/CBC/PKCS5Padding");
        cipher.init(2, SecretKeyFactory.getInstance("DES").generateSecret(new DESKeySpec(bytes2)), new IvParameterSpec(new byte[8]));
        byte[] doFinal = cipher.doFinal(bytes);
        int length2 = doFinal.length;
        MessageDigest messageDigest = MessageDigest.getInstance("SHA-256");
        messageDigest.reset();
        int i4 = length2 - 32;
        messageDigest.update(doFinal, 0, i4);
        byte[] digest = messageDigest.digest();
        int i5 = 0;
        Object[] objArr = false;
        int i6 = 0;
        do {
            objArr = (objArr == true ? 1 : 0) | (doFinal[i4 + i5] ^ digest[i5]) ? 1 : 0;
            i5++;
        } while (i5 != 32);
        if (objArr == true) {
            return;
        }
        Object[] objArr2 = new Object[1];
        a = objArr2;
        int i7 = 0;
        do {
            int i8 = i7;
            int i9 = i7 + 1;
            int i10 = i9 + 1;
            int i11 = (doFinal[i8] & 255) | ((doFinal[i9] & 255) << 8);
            byte[] bArr = new byte[i11];
            System.arraycopy(doFinal, i10, bArr, 0, i11);
            i7 = i10 + i11;
            int i12 = i6;
            i6++;
            objArr2[i12] = new String(bArr, "UTF-8").intern();
        } while (i7 != i4);
    }

    /*  JADX ERROR: JadxOverflowException in pass: RegionMakerVisitor
        jadx.core.utils.exceptions.JadxOverflowException: Regions count limit reached
        	at jadx.core.utils.ErrorsCounter.addError(ErrorsCounter.java:59)
        	at jadx.core.utils.ErrorsCounter.error(ErrorsCounter.java:31)
        	at jadx.core.dex.attributes.nodes.NotificationAttrNode.addError(NotificationAttrNode.java:19)
        */
    /* JADX WARN: Removed duplicated region for block: B:16:0x010e  */
    /* JADX WARN: Removed duplicated region for block: B:41:0x000c A[EDGE_INSN: B:41:0x000c->B:26:0x000c BREAK  A[LOOP:1: B:6:0x0041->B:40:?], SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:42:0x0106 A[SYNTHETIC] */
    /* JADX WARN: Removed duplicated region for block: B:44:0x0079 A[SYNTHETIC] */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:38:0x0143 -> B:23:0x009f). Please report as a decompilation issue!!! */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    public void onPacketReceive(cn.dg32z.libs.com.github.retrooper.packetevents.event.PacketReceiveEvent r8) {
        /*
            Method dump skipped, instructions count: 357
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.checks.impl.player.timer.TimerD.onPacketReceive(cn.dg32z.libs.com.github.retrooper.packetevents.event.PacketReceiveEvent):void");
    }

    /* JADX WARN: Code restructure failed: missing block: B:10:0x00b8, code lost:
    
        r8 = r8 + 1;
     */
    /* JADX WARN: Code restructure failed: missing block: B:13:0x0042, code lost:
    
        if (r8 >= r6.samples.size()) goto L31;
     */
    /* JADX WARN: Code restructure failed: missing block: B:15:0x0050, code lost:
    
        if ((1088.4111f - 14.187982f) != 1074.2231f) goto L35;
     */
    /* JADX WARN: Code restructure failed: missing block: B:17:0x0056, code lost:
    
        r9 = 50.0d / ((java.lang.Long) r6.samples.get(r8)).longValue();
     */
    /* JADX WARN: Code restructure failed: missing block: B:18:0x0075, code lost:
    
        if ((561.2654f - 6.58957f) == 554.6758f) goto L20;
     */
    /* JADX WARN: Code restructure failed: missing block: B:23:0x000d, code lost:
    
        if (r7 < 4) goto L6;
     */
    /* JADX WARN: Code restructure failed: missing block: B:24:0x0010, code lost:
    
        return true;
     */
    /* JADX WARN: Code restructure failed: missing block: B:27:0x0021, code lost:
    
        if ((664.1334228515625d - 0.4d) != 663.7334f) goto L36;
     */
    /* JADX WARN: Code restructure failed: missing block: B:28:?, code lost:
    
        return false;
     */
    /* JADX WARN: Code restructure failed: missing block: B:3:0x0034, code lost:
    
        if ((572.35895f - 8.948152f) != 563.41077f) goto L6;
     */
    /* JADX WARN: Code restructure failed: missing block: B:4:0x0098, code lost:
    
        r8 = java.lang.Math.max(0, r6.samples.size() - 5);
     */
    /* JADX WARN: Code restructure failed: missing block: B:5:0x00b1, code lost:
    
        if ((760.3136f - 6.0159397f) != 754.29767f) goto L20;
     */
    /* JADX WARN: Code restructure failed: missing block: B:7:0x0081, code lost:
    
        if (r9 <= r6.currentThreshold) goto L29;
     */
    /* JADX WARN: Code restructure failed: missing block: B:8:0x0084, code lost:
    
        r7 = r7 + 1;
     */
    /* JADX WARN: Code restructure failed: missing block: B:9:0x0092, code lost:
    
        if ((1412.8483f - 13.979866f) != 1398.8684f) goto L29;
     */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:21:0x0075 -> B:6:0x007b). Please report as a decompilation issue!!! */
    /*
        Code decompiled incorrectly, please refer to instructions dump.
        To view partially-correct code enable 'Show inconsistent code' option in preferences
    */
    private boolean confirmAbnormalPattern() {
        /*
            r6 = this;
            r0 = 0
            r7 = r0
            r0 = 0
            r8 = r0
            r0 = 0
            r9 = r0
            goto L27
        Lb:
            r0 = r7
            r1 = 4
            if (r0 < r1) goto L14
            r0 = 1
            goto Lb7
        L14:
            r0 = 0
            r1 = 4649052995185541120(0x4084c11140000000, double:664.1334228515625)
            r2 = 4600877379321698714(0x3fd999999999999a, double:0.4)
            double r1 = r1 - r2
            r2 = 1143336688(0x4425eef0, float:663.7334)
            double r2 = (double) r2
            int r1 = (r1 > r2 ? 1 : (r1 == r2 ? 0 : -1))
            if (r1 != 0) goto Lb7
            goto Lb7
        L27:
            r0 = 0
            r7 = r0
            r0 = 1141839609(0x440f16f9, float:572.35895)
            r1 = 1091513249(0x410f2ba1, float:8.948152)
            float r0 = r0 - r1
            r1 = 1141693002(0x440cda4a, float:563.41077)
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 == 0) goto L98
            goto L14
        L3a:
            r0 = r8
            r1 = r6
            cn.dg32z.lon.utils.evicting.EvictingList r1 = r1.samples
            int r1 = r1.size()
            if (r0 >= r1) goto Lb
            r0 = 1149766952(0x44880d28, float:1088.4111)
            r1 = 1097007609(0x416301f9, float:14.187982)
            float r0 = r0 - r1
            r1 = 1149650724(0x44864724, float:1074.2231)
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 != 0) goto L3a
            goto L56
        L56:
            r0 = 4632233691727265792(0x4049000000000000, double:50.0)
            r1 = r6
            cn.dg32z.lon.utils.evicting.EvictingList r1 = r1.samples
            r2 = r8
            java.lang.Object r1 = r1.get(r2)
            java.lang.Long r1 = (java.lang.Long) r1
            long r1 = r1.longValue()
            double r1 = (double) r1
            double r0 = r0 / r1
            r9 = r0
            r0 = 1141657852(0x440c50fc, float:561.2654)
            r1 = 1087561154(0x40d2ddc2, float:6.58957)
            float r0 = r0 - r1
            r1 = 1141549888(0x440aab40, float:554.6758)
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 == 0) goto L7b
            goto L98
        L7b:
            r0 = r9
            r1 = r6
            double r1 = r1.currentThreshold
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 <= 0) goto Lb8
            int r7 = r7 + 1
            r0 = 1152424741(0x44b09b25, float:1412.8483)
            r1 = 1096789384(0x415fad88, float:13.979866)
            float r0 = r0 - r1
            r1 = 1152310218(0x44aedbca, float:1398.8684)
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 != 0) goto Lb8
            goto Lb8
        L98:
            r0 = 0
            r1 = r6
            cn.dg32z.lon.utils.evicting.EvictingList r1 = r1.samples
            int r1 = r1.size()
            r2 = 5
            int r1 = r1 - r2
            int r0 = java.lang.Math.max(r0, r1)
            r8 = r0
            r0 = 1144919058(0x443e1412, float:760.3136)
            r1 = 1086358164(0x40c08294, float:6.0159397)
            float r0 = r0 - r1
            r1 = 1144820493(0x443c930d, float:754.29767)
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 != 0) goto L7b
            goto L3a
        Lb7:
            return r0
        Lb8:
            int r8 = r8 + 1
            goto L3a
            throw r-1
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.checks.impl.player.timer.TimerD.confirmAbnormalPattern():boolean");
    }

    /*  JADX ERROR: IndexOutOfBoundsException in pass: SSATransform
        java.lang.IndexOutOfBoundsException: bitIndex < 0: -1
        	at java.base/java.util.BitSet.get(BitSet.java:628)
        	at jadx.core.dex.visitors.ssa.LiveVarAnalysis.fillBasicBlockInfo(LiveVarAnalysis.java:65)
        	at jadx.core.dex.visitors.ssa.LiveVarAnalysis.runAnalysis(LiveVarAnalysis.java:36)
        	at jadx.core.dex.visitors.ssa.SSATransform.process(SSATransform.java:58)
        	at jadx.core.dex.visitors.ssa.SSATransform.visit(SSATransform.java:44)
        */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    private boolean shouldSkipDetection() {
        /*
            r6 = this;
            goto L3b
        L3:
            r0 = 0
            r1 = 4653377768480833536(0x40941e6d00000000, double:1287.6064453125)
            r2 = 4605380978949069210(0x3fe999999999999a, double:0.8)
            double r1 = r1 - r2
            r2 = 1151392206(0x44a0d9ce, float:1286.8064)
            double r2 = (double) r2
            int r1 = (r1 > r2 ? 1 : (r1 == r2 ? 0 : -1))
            if (r1 == 0) goto L3a
            goto L3a
        L16:
            r-1.hasOccurredSince(r0)
            if (r-1 == 0) goto L3
            r-1 = r6
            cn.dg32z.lon.player.PlayerData r-1 = r-1.player
            cn.dg32z.lon.utils.data.PacketStateData r-1 = r-1.packetStateData
            boolean r-1 = r-1.lastPacketWasOnePointSeventeenDuplicate
            if (r-1 == 0) goto L3
            r-1 = 1151792938(0x44a6f72a, float:1335.7239)
            r0 = 1091964872(0x41160fc8, float:9.378853)
            float r-1 = r-1 - r0
            r0 = 1151716106(0x44a5cb0a, float:1326.345)
            int r-1 = (r-1 > r0 ? 1 : (r-1 == r0 ? 0 : -1))
            if (r-1 == 0) goto L80
            goto L80
        L3a:
            return r0
        L3b:
            r0 = r6
            r1 = 5
            cn.dg32z.lon.checks.util.exempts.types.ExemptType[] r1 = new cn.dg32z.lon.checks.util.exempts.types.ExemptType[r1]
            r2 = r1
            r3 = 0
            cn.dg32z.lon.checks.util.exempts.types.ExemptType r4 = cn.dg32z.lon.checks.util.exempts.types.ExemptType.JOIN
            r2[r3] = r4
            r2 = r1
            r3 = 1
            cn.dg32z.lon.checks.util.exempts.types.ExemptType r4 = cn.dg32z.lon.checks.util.exempts.types.ExemptType.VEHICLE
            r2[r3] = r4
            r2 = r1
            r3 = 2
            cn.dg32z.lon.checks.util.exempts.types.ExemptType r4 = cn.dg32z.lon.checks.util.exempts.types.ExemptType.FLYING
            r2[r3] = r4
            r2 = r1
            r3 = 3
            cn.dg32z.lon.checks.util.exempts.types.ExemptType r4 = cn.dg32z.lon.checks.util.exempts.types.ExemptType.MOVE_LAGGING
            r2[r3] = r4
            r2 = r1
            r3 = 4
            cn.dg32z.lon.checks.util.exempts.types.ExemptType r4 = cn.dg32z.lon.checks.util.exempts.types.ExemptType.CLIENT_ANTICHEAT
            r2[r3] = r4
            boolean r0 = r0.isExempt(r1)
            if (r0 != 0) goto L80
            r0 = r6
            cn.dg32z.lon.player.PlayerData r0 = r0.player
            cn.dg32z.lon.predictionengine.UncertaintyHandler r0 = r0.uncertaintyHandler
            cn.dg32z.lon.utils.data.LastInstance r0 = r0.lastVehicleSwitch
            r1 = 0
            r2 = 1151002132(0x449ae614, float:1239.19)
            r3 = 1096068692(0x4154ae54, float:13.292561)
            float r2 = r2 - r3
            r3 = 1150893239(0x44993cb7, float:1225.8973)
            int r2 = (r2 > r3 ? 1 : (r2 == r3 ? 0 : -1))
            if (r2 == 0) goto L16
            goto L16
        L80:
            r-1 = 1
            goto L3a
            throw r-1
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.checks.impl.player.timer.TimerD.shouldSkipDetection():boolean");
    }

    /*  JADX ERROR: IndexOutOfBoundsException in pass: SSATransform
        java.lang.IndexOutOfBoundsException: bitIndex < 0: -1
        	at java.base/java.util.BitSet.set(BitSet.java:449)
        	at jadx.core.dex.visitors.ssa.LiveVarAnalysis.fillBasicBlockInfo(LiveVarAnalysis.java:73)
        	at jadx.core.dex.visitors.ssa.LiveVarAnalysis.runAnalysis(LiveVarAnalysis.java:36)
        	at jadx.core.dex.visitors.ssa.SSATransform.process(SSATransform.java:58)
        	at jadx.core.dex.visitors.ssa.SSATransform.visit(SSATransform.java:44)
        */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:16:0x00a7 -> B:17:0x007d). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:16:0x00a7 -> B:6:0x00df). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:26:0x0077 -> B:27:0x0125). Please report as a decompilation issue!!! */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:39:0x01b5 -> B:27:0x0125). Please report as a decompilation issue!!! */
    private void analyzeMovementPattern() {
        /*
            Method dump skipped, instructions count: 444
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.checks.impl.player.timer.TimerD.analyzeMovementPattern():void");
    }

    /*  JADX ERROR: IndexOutOfBoundsException in pass: SSATransform
        java.lang.IndexOutOfBoundsException: bitIndex < 0: -1
        	at java.base/java.util.BitSet.get(BitSet.java:628)
        	at jadx.core.dex.visitors.ssa.LiveVarAnalysis.fillBasicBlockInfo(LiveVarAnalysis.java:65)
        	at jadx.core.dex.visitors.ssa.LiveVarAnalysis.runAnalysis(LiveVarAnalysis.java:36)
        	at jadx.core.dex.visitors.ssa.SSATransform.process(SSATransform.java:58)
        	at jadx.core.dex.visitors.ssa.SSATransform.visit(SSATransform.java:44)
        */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    private void adjustSampleSizeByVersion() {
        /*
            r5 = this;
            r0 = 0
            r6 = r0
            goto L19
        L5:
            return
        L6:
            r0 = 50
            r1 = 1143795709(0x442ceffd, float:691.7498)
            r2 = 1086835348(0x40c7ca94, float:6.243479)
            float r1 = r1 - r2
            r2 = 1143693416(0x442b6068, float:685.50635)
            int r1 = (r1 > r2 ? 1 : (r1 == r2 ? 0 : -1))
            if (r1 != 0) goto L43
            goto L43
        L19:
            r0 = r5
            cn.dg32z.lon.player.PlayerData r0 = r0.player
            cn.dg32z.libs.com.github.retrooper.packetevents.protocol.player.ClientVersion r0 = r0.getClientVersion()
            r6 = r0
            r0 = 4652823552343408640(0x4092265e80000000, double:1161.59228515625)
            r1 = 4603579539098121011(0x3fe3333333333333, double:0.6)
            double r0 = r0 - r1
            r1 = 1150361537(0x44911fc1, float:1160.9923)
            double r1 = (double) r1
            int r0 = (r0 > r1 ? 1 : (r0 == r1 ? 0 : -1))
            if (r0 != 0) goto L33
            goto L5
        L33:
            r0 = r5
            r1 = r6
            cn.dg32z.libs.com.github.retrooper.packetevents.protocol.player.ClientVersion r2 = cn.dg32z.libs.com.github.retrooper.packetevents.protocol.player.ClientVersion.V_1_16_4
            boolean r1 = r1.isNewerThan(r2)
            if (r1 == 0) goto L6
            r1 = 70
            goto L43
        L43:
            r-1.sampleSize = r0
            r-1 = 1150381648(0x44916e50, float:1163.4473)
            r0 = 1091692323(0x4111e723, float:9.11893)
            float r-1 = r-1 - r0
            r0 = 1150306946(0x44904a82, float:1154.3284)
            int r-1 = (r-1 > r0 ? 1 : (r-1 == r0 ? 0 : -1))
            if (r-1 == 0) goto L5
            goto L19
            throw r-2
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.checks.impl.player.timer.TimerD.adjustSampleSizeByVersion():void");
    }

    /*  JADX ERROR: IndexOutOfBoundsException in pass: SSATransform
        java.lang.IndexOutOfBoundsException: bitIndex < 0: -3
        	at java.base/java.util.BitSet.get(BitSet.java:628)
        	at jadx.core.dex.visitors.ssa.LiveVarAnalysis.fillBasicBlockInfo(LiveVarAnalysis.java:65)
        	at jadx.core.dex.visitors.ssa.LiveVarAnalysis.runAnalysis(LiveVarAnalysis.java:36)
        	at jadx.core.dex.visitors.ssa.SSATransform.process(SSATransform.java:58)
        	at jadx.core.dex.visitors.ssa.SSATransform.visit(SSATransform.java:44)
        */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    private void triggerViolation(double r12, double r14, double r16) {
        /*
            r11 = this;
            r0 = 0
            r18 = r0
            goto L8e
        L6:
            java.lang.String r-2 = java.lang.String.format(r-2, r-1)
            r18 = r-2
            r-2 = 1148502751(0x4474c2df, float:979.04486)
            r-1 = 1090917830(0x410615c6, float:8.380316)
            float r-2 = r-2 - r-1
            r-1 = 1148365448(0x4472aa88, float:970.66455)
            int r-2 = (r-2 > r-1 ? 1 : (r-2 == r-1 ? 0 : -1))
            if (r-2 != 0) goto L8e
            goto L34
        L1c:
            r-2 = r11
            r-1 = 0
            r-2.buffer = r-1
            r-2 = 4650657246001233920(0x408a742000000000, double:846.515625)
            r-1 = 4606281698874543309(0x3feccccccccccccd, double:0.9)
            double r-2 = r-2 - r-1
            r-1 = 1146316646(0x44536766, float:845.6156)
            double r-1 = (double) r-1
            int r-2 = (r-2 > r-1 ? 1 : (r-2 == r-1 ? 0 : -1))
            if (r-2 == 0) goto L33
            goto L33
        L33:
            return
        L34:
            r-2 = r11
            r-1 = r18
            boolean r-2 = r-2.flagAndAlert(r-1)
            if (r-2 == 0) goto L1c
            r-2 = r11
            boolean r-2 = r-2.shouldModifyPackets()
            if (r-2 == 0) goto L1c
            r-2 = 1147263004(0x4461d81c, float:903.3767)
            r-1 = 1094494338(0x413ca882, float:11.79114)
            float r-2 = r-2 - r-1
            r-1 = 1147069818(0x445ee57a, float:891.5856)
            int r-2 = (r-2 > r-1 ? 1 : (r-2 == r-1 ? 0 : -1))
            if (r-2 == 0) goto Lb1
            goto L34
        L55:
            java.lang.Double r-3 = java.lang.Double.valueOf(r-3)
            r-5[r-4] = r-3
            r-5 = r-6
            r-4 = 1
            r-3 = r14
            java.lang.Double r-3 = java.lang.Double.valueOf(r-3)
            r-5[r-4] = r-3
            r-5 = r-6
            r-4 = 2
            r-3 = r11
            double r-3 = r-3.currentThreshold
            java.lang.Double r-3 = java.lang.Double.valueOf(r-3)
            r-5[r-4] = r-3
            r-5 = r-6
            r-4 = 3
            r-3 = r16
            java.lang.Double r-3 = java.lang.Double.valueOf(r-3)
            r-5[r-4] = r-3
            r-5 = r-6
            r-4 = 4
            r-3 = r11
            double r-3 = r-3.buffer
            java.lang.Double r-3 = java.lang.Double.valueOf(r-3)
            r-5[r-4] = r-3
            r-5 = 4649538060738887680(0x40867a3b60000000, double:719.2789916992188)
            r-4 = 4596373779694328218(0x3fc999999999999a, double:0.2)
            double r-5 = r-5 - r-4
            r-4 = 1144243470(0x4433c50e, float:719.079)
            double r-4 = (double) r-4
            int r-5 = (r-5 > r-4 ? 1 : (r-5 == r-4 ? 0 : -1))
            if (r-5 == 0) goto L6
            goto L6
        L8e:
            r0 = 1633615872(0x615f0000, float:2.571015E20)
            char r0 = (char) r0
            java.lang.Object r0 = a(r0)
            java.lang.String r0 = (java.lang.String) r0
            r1 = 5
            java.lang.Object[] r1 = new java.lang.Object[r1]
            r2 = r1
            r3 = 0
            r4 = r12
            r5 = 4653278785590788096(0x4093c466c0000000, double:1265.100341796875)
            r6 = 4604480259023595110(0x3fe6666666666666, double:0.7)
            double r5 = r5 - r6
            r6 = 1151208656(0x449e0cd0, float:1264.4004)
            double r6 = (double) r6
            int r5 = (r5 > r6 ? 1 : (r5 == r6 ? 0 : -1))
            if (r5 == 0) goto L55
            goto L55
        Lb1:
            r-2 = r11
            boolean r-2 = r-2.setbackIfAboveSetbackVL()
            r-2 = 4654256657302290432(0x40973dc540000000, double:1487.442626953125)
            r-1 = 4606281698874543309(0x3feccccccccccccd, double:0.9)
            double r-2 = r-2 - r-1
            r-1 = 1153028445(0x44b9d15d, float:1486.5426)
            double r-1 = (double) r-1
            int r-2 = (r-2 > r-1 ? 1 : (r-2 == r-1 ? 0 : -1))
            if (r-2 == 0) goto L8e
            goto L1c
            throw r-3
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.checks.impl.player.timer.TimerD.triggerViolation(double, double, double):void");
    }

    public TimerD(PlayerData playerData) {
        super(playerData);
        this.sampleSize = 50;
        this.samples = new EvictingList(this.sampleSize);
    }

    /*  JADX ERROR: IndexOutOfBoundsException in pass: SSATransform
        java.lang.IndexOutOfBoundsException: bitIndex < 0: -1
        	at java.base/java.util.BitSet.get(BitSet.java:628)
        	at jadx.core.dex.visitors.ssa.LiveVarAnalysis.fillBasicBlockInfo(LiveVarAnalysis.java:65)
        	at jadx.core.dex.visitors.ssa.LiveVarAnalysis.runAnalysis(LiveVarAnalysis.java:36)
        	at jadx.core.dex.visitors.ssa.SSATransform.process(SSATransform.java:58)
        	at jadx.core.dex.visitors.ssa.SSATransform.visit(SSATransform.java:44)
        */
    /* JADX WARN: Unreachable blocks removed: 1, instructions: 1 */
    /* JADX WARN: Unsupported multi-entry loop pattern (BACK_EDGE: B:32:0x00bf -> B:18:0x001d). Please report as a decompilation issue!!! */
    public void reload() {
        /*
            Method dump skipped, instructions count: 353
            To view this dump change 'Code comments level' option to 'DEBUG'
        */
        throw new UnsupportedOperationException("Method not decompiled: cn.dg32z.lon.checks.impl.player.timer.TimerD.reload():void");
    }

    private static Object a(char c) {
        return ((Object[]) a)[c];
    }
}
